# Rectangle

## class Rectangle(tuple)

class `cairo.``Rectangle`(x, y, width, height)

  Parameters:

  - x (float) – X coordinate of the left side of the rectangle
  - y (float) – Y coordinate of the the top side of the rectangle
  - width (float) – width of the rectangle
  - height (float) – height of the rectangle

  Return type: | Rectangle

  New in version 1.15: In prior versions a (float, float, float, float) tuple was used instead of `Rectangle`.

  A data structure for holding a rectangle.

  `x`

    `float`

  `y`

    `float`

  `width`

    `float`

  `height`

    `float`